/**
* DevExtreme (core/guid.d.ts)
* Version: 19.2.7 (build 20113-0321)
* Build date: Wed Apr 22 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/** The Guid is an object used to generate and contain a GUID. */
export default class Guid {
    constructor();
    constructor(value: string);
    /**
     * @docid Guidmethods.toString
     * @publicName toString()
     * @return string
     * @prevFileNamespace DevExpress.core
     * @public
     */
    toString(): string;
    /**
     * @docid Guidmethods.valueOf
     * @publicName valueOf()
     * @return string
     * @prevFileNamespace DevExpress.core
     * @public
     */
    valueOf(): string;
}
